Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class FilterMapping

    java.lang.Object
      org.mortbay.jetty.servlet.FilterMapping

    public class FilterMapping

extends Object

Constructor Summary
`FilterMapping()`

Method Summary
`int` | `getDispatches()`
`String` | `getFilterName()`
`String[]` | `getPathSpecs()`
`String[]` | `getServletNames()`
`void` | `setDispatches(int dispatches)`
`void` | `setFilterName(String filterName)`
`void` | `setPathSpec(String pathSpec)`
`void` | `setPathSpecs(String[] pathSpecs)`
`void` | `setServletName(String servletName)`
`void` | `setServletNames(String[] servletNames)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterMapping

    public FilterMapping()

Method Detail

### getDispatches

    public int getDispatches()

  Returns:
    Returns the dispatches.

### getFilterName

    public String getFilterName()

  Returns:
    Returns the filterName.

### getPathSpecs

    public String[] getPathSpecs()

  Returns:
    Returns the pathSpec.

### setDispatches

    public void setDispatches(int dispatches)

  Parameters:
    `dispatches` - The dispatches to set.
  See Also:
    `Handler.DEFAULT`, `Handler.REQUEST`, `Handler.ERROR`, `Handler.FORWARD`, `Handler.INCLUDE`

### setFilterName

    public void setFilterName(String filterName)

  Parameters:
    `filterName` - The filterName to set.

### setPathSpecs

    public void setPathSpecs(String[] pathSpecs)

  Parameters:
    `pathSpecs` - The Path specifications to which this filter should be mapped.

### setPathSpec

    public void setPathSpec(String pathSpec)

  Parameters:
    `pathSpec` - The pathSpec to set.

### getServletNames

    public String[] getServletNames()

  Returns:
    Returns the servletName.

### setServletNames

    public void setServletNames(String[] servletNames)

  Parameters:
    `servletNames` - Maps the `named filter` to multiple servlets
  See Also:
    `setServletName(java.lang.String)`

### setServletName

    public void setServletName(String servletName)

  Parameters:
    `servletName` - Maps the `named filter` to a single servlet
  See Also:
    `setServletNames(java.lang.String[])`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.